libzypp 17.38.15

jsonparser_p.h File Reference

Internal JSON tokeniser — NOT part of the public API. More...

`#include <optional>`
`#include <zypp-core/parser/parseexception.h>`
`#include <zypp-core/base/inputstream.h>`
`#include <zypp-core/base/NonCopyable.h>`
`#include <zypp-core/ng/pipelines/expected.h>`
`#include <zypp-core/ng/pipelines/mtry.h>`
`#include <zypp-core/Globals.h>`
`#include "../JsonValue.h"`

Go to the source code of this file.

## Classes
class | zypp::json::detail::Parser
struct | zypp::json::detail::Parser::Token

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::json
namespace | zypp::json::detail

## Functions
zyppng::expected< Number > | zypp::json::detail::numberFromString (const std::string &str)
| fromString helpers — only callable from within the tokeniser.
zyppng::expected< Int > | zypp::json::detail::intFromString (const std::string &str)
zyppng::expected< UInt > | zypp::json::detail::uintFromString (const std::string &str)

## Detailed Description

Internal JSON tokeniser — NOT part of the public API.

Include <zypp-core/parser/json.h> instead.

Definition in file jsonparser_p.h.